﻿<%@ Control Language="C#" AutoEventWireup="false" CodeBehind="ExpressionSourceSelector.ascx.cs" Inherits="CheckboxWeb.Forms.Surveys.Controls.ExpressionSourceSelector" %>

<asp:HiddenField ID="_sourceValue" runat="server"/>

<div style="float:left;">
<%--// _sourceTypeList--%>
    <asp:DropDownList ID="_sourceTypeList" runat="server" AutoPostBack="true" ></asp:DropDownList>
    <asp:TextBox ID="_sourceTypeTextBox" runat="server" ReadOnly="true" Width="130"></asp:TextBox>
</div>

<div style="float:left;">
    <asp:DropDownList ID="_sourceEmptyList" runat="server" />
    <asp:DropDownList ID="_sourceQuestionList" runat="server" />
    <asp:DropDownList ID="_sourceCategorizedItemList" AutoPostBack="true" runat="server" />
    <asp:DropDownList ID="_sourceCategorizedItemColumnList" AutoPostBack="true" runat="server" />
    <asp:DropDownList ID="_sourceCategorizedItemColumnCategoryList" AutoPostBack="true" runat="server" />
    <asp:DropDownList ID="_sourceProfilePropertyList" runat="server" />
    <asp:DropDownList ID="_sourceResponsePropertyList" runat="server" />
    <asp:TextBox ID = "_sourceItemTextBox" runat="server" ReadOnly="true" Width="150"></asp:TextBox>
    <asp:TextBox ID = "_sourceCategorizedItemColumnTextBox" runat="server" ReadOnly="true" Width="150" />
    <asp:TextBox ID = "_sourceCategorizedItemColumnCategoryTextBox" runat="server" ReadOnly="true" Width="150" />
</div>

<script type="text/javascript">
    $(function () {
        updateSourceValue($('#<%= _sourceQuestionList.ClientID %>'));
        updateSourceValue($('#<%= _sourceProfilePropertyList.ClientID %>'));
        updateSourceValue($('#<%= _sourceResponsePropertyList.ClientID %>'));

        $(document).on('change', '#<%= _sourceQuestionList.ClientID %>, #<%= _sourceProfilePropertyList.ClientID %>, #<%= _sourceResponsePropertyList.ClientID %>', function () {
            var val = $(this).val();
            if (val == 'SOURCE') {
                val = '';
            }

            $('#<%=_sourceValue.ClientID%>').val(val);
            
            //let submit changed value to the server via wcf, because of postback errors in iframe
            svcSurveyEditor.updateConditionSourceD(_at, <%= ResponseTemplateId %>, val).then(function () {
                $(this).closest('form').submit();
            });
        });    
    });
    
    function updateSourceValue(select) {
        if ($(select).length > 0) {
            var val = $(select).val();
            if (val == 'SOURCE') {
                val = '';
            }

            $('#<%=_sourceValue.ClientID%>').val(val);
            svcSurveyEditor.updateConditionSourceD(_at, <%= ResponseTemplateId %>, val);
        }
    }
</script>
